$space-unit: 4px;
$border: 1px solid #e0e0e0;
$border-dark: 1px solid #4f4f4f;
$radius: 6px;
$shadow: 0px 4px 8px rgba(51, 51, 51, 0.150867);
$font-size: 16px;

.quill-wrapper {
  & {
    position: relative;
    margin: $space-unit * 2;
    background: white;

    &::after {
      content: '';
      background: white;
      opacity: 0;
      display: block;
      width: 100%;
      height: 100%;
      position: absolute;
      left: 0;
      top: 0;
      transition: 0.2s ease-in-out;
      z-index: -1;
    }
  }

  &.is-not-editable {
    border: 1px dashed #aebbbd;
    border-radius: $radius;

    &::after {
      content: '';
      background: #5ac4e4;
      opacity: 0.1;
      z-index: 1;
    }

    .quill {
      border: none;
      margin-bottom: 0;
    }

    .ql-toolbar.ql-snow {
      z-index: -1;
      top: calc(100% - 41px);
      opacity: 0;
    }

    .edit-icon {
      color: #838482;
    }
  }

  .quill {
    position: relative;
    border: $border-dark;
    box-sizing: border-box;
    border-radius: $radius;
    margin-bottom: 60px;
  }

  .ql-toolbar.ql-snow {
    position: absolute;
    top: calc(100% + 1px);
    background: white;
    border: $border;
    box-shadow: $shadow;
    border-radius: $radius;
    transition: top 0.3s, opacity 0.3s cubic-bezier(0.45, 0.59, 0.285, 0.965);
  }

  .ql-container.ql-snow {
    border: none;
  }

  .ql-formats {
    border-right: $border;
    padding-right: $space-unit * 2;
    margin-right: $space-unit * 2;
  }

  .ql-formats:last-child {
    border-right: none;
  }

  .edit-icon {
    font-size: $font-size;
    position: absolute;
    left: calc(100% + #{$space-unit * 2});
    color: darken(#838482, 20);
    cursor: grab;
    &:hover {
      color: darken(#838482, 20);
    }
  }
}
